Bug 1143025 - minetest crash in Online Mod Repository menu
Summary: minetest crash in Online Mod Repository menu
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: minetest
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aleksandra Fedorova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1143774
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-17 17:58 UTC by Matthew Miller
Modified: 2015-06-29 22:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:35:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Matthew Miller 2014-09-17 17:58:21 UTC
Description of problem:

Minetest crashes in the Online Mod Repository window


Version-Release number of selected component (if applicable):

minetest-0.4.10-2.fc22.x86_64 in rawhide -- also happens in 0.4.9 in F20

How reproducible:

100%


Steps to Reproduce:
1. run minetest, click on "mods" in the main menu screen
2. press the "Online mod repository" button
3. wait about three seconds

Actual results:

Crash! (See additional info.)


Expected results:

Some sort of online mod repository, I guess. :)

Additional info:

Irrlicht log: Irrlicht Engine version 1.8.1
Irrlicht log: Linux 3.16.0-0.rc7.git3.1.fc22.x86_64 #1 SMP Thu Jul 31 15:06:26 UTC 2014 x86_64
Irrlicht log: Creating X window...
Irrlicht log: Using renderer: OpenGL 3.0
Irrlicht log: Gallium 0.4 on NVE7: nouveau
Irrlicht log: OpenGL driver version is 1.2 or better.
Irrlicht log: GLSL version: 1.3
terminate called after throwing an instance of 'LuaError'
  what():  C++ exception
Aborted (core dumped)

Comment 1 Matthew Miller 2014-09-17 19:48:48 UTC
Hmmm. Built upstream master, and it doesn't have the problem. Not sure if there was a fix or if this shows a build/rpm problem.

Comment 2 Matthew Miller 2014-09-17 21:38:02 UTC
Hmmm, part 2... works when I build from the tarballs in the source RPM. Does *not* work when I rebuild the source RPM and install.

Comment 3 Matthew Miller 2014-09-17 23:16:01 UTC
Okay, so... good news and bad news. Commenting out patch #1 and leaving the bundled json in place cures this bug.

Comment 4 Matthew Miller 2014-09-18 00:10:46 UTC
Upstream: https://github.com/minetest/minetest/issues/1147

Comment 5 Matthew Miller 2014-09-18 00:30:12 UTC
The patch to (system) jsoncpp from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=753560 fixes this. Updating to github master *does not*. (Unfortunately, though, the patch also makes a build test fail. What a mess!)

Comment 6 Matthew Miller 2014-09-18 00:51:35 UTC
No, wait -- updating to github master _does_ work. But, sadly, it is not ABI compatible (despite no soname bump). So.... that's kind of a mess.

Comment 7 Matthew Miller 2014-09-18 02:50:32 UTC
In case it helps, I built a jsoncpp 0.7.0 snapshot RPM at http://mattdm.org/misc/fedora/jsoncpp-0.7.0-0.1.20140917gitdf26dae.src.rpm and a Copr at http://copr.fedoraproject.org/coprs/mattdm/minetest/

Comment 8 Matthew Miller 2015-03-27 19:04:33 UTC
Hmmmm, so.... new jsoncpp 0.10.0 upstream https://github.com/open-source-parsers/jsoncpp/releases says "(Based on 1.6.0. Binary-compatible with the old 0.6.0-rc2 from sourceforge.)"

Comment 9 Fedora End Of Life 2015-05-29 12:54:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-29 22:35:54 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.